Name: squidclamav
Version: 7.3
Release: 1%{?dist}
Summary: A c-icap module for ClamAV

Group: Applications/System
License: GPLv3+
URL: http://squidclamav.darold.net/
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRequires: clamav-devel >= 0.82
BuildRequires: curl-devel >= 7.12.1
BuildRequires: c-icap-devel
Requires: c-icap

%description
SquidClamav is an antivirus for Squid proxy based on the
Awards winnings ClamAv anti-virus toolkit.

%prep
%setup -q

%build
%configure --prefix=%{_prefix}
%{__make}

%install
%{__rm} -rf $RPM_BUILD_ROOT
# set up path structure
%{__install} -d -m 0755 %{buildroot}/%{_sysconfdir}/c-icap

# Make distrib files
%{__make} install \
        DESTDIR=%{buildroot}
# README will be handled in %doc
%{__rm} -f %{buildroot}%{_datadir}/%{name}/README
# Remove .la file
%{__rm} -f %{buildroot}%{_libdir}/c_icap/%{name}.la

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc ChangeLog INSTALL README
%attr(640,root,squid) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/c-icap/squidclamav.conf
%{_sysconfdir}/c-icap/squidclamav.conf.default
%{_libdir}/c_icap/%{name}.*
%{_datadir}/c_icap/templates/squidclamav
%{_mandir}/man1/squidclamav.1*
%{_libexecdir}/%{name}/clwarn.cgi*

%changelog
* Thu Nov 09 2023 Daniel Berteaud <dbd@ehtrace.com> 7.3-1
- Update to 7.3 (dbd@ehtrace.com)

* Thu Jul 07 2022 Daniel Berteaud <dbd@ehtrace.com> 7.2-2
- Update to 7.2 (dbd@ehtrace.com)

* Tue Jan 11 2022 Daniel Berteaud <dbd@ehtrace.com> 7.1-3
- Release bump

* Wed Dec 08 2021 Daniel Berteaud <dani@lapiole.org> 7.1-2
- Updte tito builder (dani@lapiole.org)

* Wed Apr 17 2019 Daniel Berteaud <daniel@firewall-services.com> 7.1-1
- Update to 7.1 (daniel@firewall-services.com)
- Update tito to use GitLfsBuilder (daniel@firewall-services.com)
- Track tgz with LFS (daniel@firewall-services.com)

* Tue Feb 20 2018 Daniel Berteaud <daniel@firewall-services.com> 6.16-3
- Update summary and description to match v6 (daniel@firewall-services.com)
- Remove .la file
* Sun Feb 18 2018 Daniel Berteaud <daniel@firewall-services.com> 6.16-1
- Clean changelog (daniel@firewall-services.com)
- Remove README from /usr/share/squidclamav (daniel@firewall-services.com)
- Include cgi (daniel@firewall-services.com)
- Don't try to include non existing lib (daniel@firewall-services.com)

* Sun Feb 18 2018 Daniel Berteaud <daniel@firewall-services.com> 6.16-0.beta3
- Update to 6.16
- Build using tito
- Adapt spec for v 6 (daniel@firewall-services.com)

* Fri Nov 15 2013 Daniel Berteaud <daniel@firewall-services.com> - 5.11-2
- Spec file cleanup

* Tue Nov 27 2012 Daniel Berteaud <daniel@firewall-services.com> - 5.11-1
- update to 5.11

* Tue Oct 16 2012 Daniel Berteaud <daniel@firewall-services.com> - 5.9-1
- update to 5.9

* Tue Sep 11 2012 Daniel Berteaud <daniel@firewall-services.com> - 5.8-1
- update to 5.8

* Wed Mar  3 2010 Gilles Darold <gilles@darold.net>
- Update to 5.2.
- Add copy of clwarn.cgi.ru_RU into libexecdir.

* Wed Feb 10 2010 Gilles Darold <gilles@darold.net>
- Update to 5.1.

* Wed Jan 27 2010 Gordan Bobic <gordan@bobich.net>
- Update for squidclamav 4.2

* Tue Jan 12 2010 Gordan Bobic <gordan@bobich.net>
- Initial fork from the PLD spec file, update for squidclamav 4.1

